#
# spec file for package python-google-cloud-kms
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-google-cloud-kms
Version:        1.2.1
Release:        bp156.3.1
Summary:        Cloud Key Management Service (KMS) API API client library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-cloud-python
Source:         https://files.pythonhosted.org/packages/source/g/google-cloud-kms/google-cloud-kms-%{version}.tar.gz
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-enum34
BuildRequires:  python-rpm-macros
Requires:       python-google-api-core >= 1.14.0
Requires:       python-grpc-google-iam-v1 >= 0.12.3
BuildArch:      noarch
%ifpython2
Requires:       python-enum34
%endif
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.14.0}
BuildRequires:  %{python_module grpc-google-iam-v1 >= 0.12.3}
# /SECTION
%python_subpackages

%description
Cloud Key Management Service (KMS) API API client library

%prep
%setup -q -n google-cloud-kms-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.2.1:
  * Remove send/recv msg size limit (via synth). (#8959)
  * Accomodate new location of 'IAMPolicyStub' (via synth). (#8679)
  * Add 'options_' argument to client's 'get_iam_policy'; pin black version (via synth). (#8656)
  * Add 'client_options' support, update list method docstrings (via synth). (#8514)
* Tue Jul  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1.0:
  * Allow kwargs to be passed to create_channel (via synth). (#8395)
  * Add empty lines (via synth). (#8062)
  * Remove classifier for Python 3.4 for end-of-life. (#7535)
* Mon Feb 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0.0
